%global collection_namespace performancecopilot
%global collection_name metrics

Name:             ansible-pcp
Version:          2.0.2
Release:          1%{?dist}
Summary:          Ansible Metric collection for Performance Co-Pilot
License:          MIT
URL:              %{ansible_collection_url}
Source:           https://github.com/performancecopilot/ansible-pcp/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:    ansible >= 2.9.10
Requires:         ansible >= 2.9.10

BuildArch:        noarch

%description
A collection containing roles for Performance Co-Pilot (PCP) and related
software such as Redis and Grafana.  The collection is made up of several
Ansible roles, including:

 performancecopilot.metrics.pcp
A role for core PCP capabilities, configuring live performance analysis
with a large base set of metrics from the kernel and system services, as
well as data recording and rule inference.

 performancecopilot.metrics.redis
A role for configuring a local Redis server, suitable for use with a
Performance Co-Pilot archive repository (for single or many hosts) and
fast, scalable querying of metrics.

 performancecopilot.metrics.grafana
A role for configuring a local Grafana server, providing web frontend
visuals for Performance Co-Pilot metrics, both live and historically.
Data sources for Vector (live), Redis (historical) and interactive
bpftrace (eBPF) scripts can be configured by this role.  The PCP REST
API service (from the core pcp role) should be configured in order to
use this role.

 performancecopilot.metrics.bpftrace
A role that extends the core PCP role, providing metrics from bpftrace
scripts using Linux eBPF facilities.  Configuring authentication of a
local user capable of running bpftrace scripts via the PCP agent is a
key task of this role.

 performancecopilot.metrics.elasticsearch
A role that extends the core PCP role, providing metrics from a live
ElasticSearch instance for PCP analysis or exporting of PCP metric
values (and metadata) to ElasticSearch for the indexing and querying
of performance data.

%prep
%autosetup
rm -vr .travis .github .gitignore .ansible-lint .*.yml

%build
%ansible_collection_build

%install
%ansible_collection_install

%files
%doc README.md
%license LICENSE
%{ansible_collection_files}

%changelog
* Fri Nov 06 2020 Nathan Scott <nathans@redhat.com> 2.0.2-1
- Updated for new version with changed namespace
- Ansible collection macros now used in the spec

* Fri Oct 23 2020 Nathan Scott <nathans@redhat.com> 1.0.0-1
- Initial RPM spec build
